const MamiIsMobileDevice = () => {
    if('userAgentData' in navigator)
        return navigator.userAgentData.mobile;

    if('matchMedia' in window)
        return !window.matchMedia("(any-pointer:fine)").matches;

    if('maxTouchPoints' in navigator)
        return navigator.maxTouchPoints > 1;

    return false;
};
